local _, namespace = ...

namespace.defaultConfig = {
    version = "45",
    locale = GetLocale(),
    usePerCharacterSettings = false,

    nameplate = {
        enabled = true,
        showForFriendly = true,
        showForEnemy = true,
        width = 106,
        height = 11,
        iconSize = 13,
        showBorderShield = true,
        showTimer = false,
        showIcon = true,
        showSpark = true,
        autoPosition = true,
        castFont = _G.STANDARD_TEXT_FONT,
        castFontSize = 8,
        castStatusBar = "Interface\\TargetingFrame\\UI-StatusBar",
        castBorder = "Interface\\CastingBar\\UI-CastingBar-Border-Small",
        hideIconBorder = false,
        position = { "CENTER", 7.3, -23.1 },
        iconPositionX = -3,
        iconPositionY = 0,
        borderColor = { 1, 0.796078431372549, 0, 1 },
        statusColor = { 1, 0.7, 0, 1 },
        statusColorSuccess = { 0, 1, 0, 1 },
        statusColorFailed = { 1, 0, 0 },
        statusColorChannel = { 0, 1, 0, 1 },
        statusColorUninterruptible = { 0.7, 0.7, 0.7, 1 },
        textColor = { 1, 1, 1, 1 },
        textPositionX = 0,
        textPositionY = 0,
        textPoint = "CENTER",
        textOutline = "",
        frameLevel = 10,
        frameStrata = "HIGH",
        statusBackgroundColor = { 0, 0, 0, 0.535 },
        ignoreParentAlpha = false,
        borderPaddingHeight = 1.3,
        borderPaddingWidth = 1.17,
        edgeSizeLSM = 18,
    },

    target = {
        enabled = true,
        width = 150,
        height = 15,
        iconSize = 18,
        showBorderShield = true,
        showTimer = false,
        showIcon = true,
        showSpark = true,
        autoPosition = true,
        castFont = _G.STANDARD_TEXT_FONT,
        castFontSize = 10,
        castStatusBar = "Interface\\TargetingFrame\\UI-StatusBar",
        castBorder = "Interface\\CastingBar\\UI-CastingBar-Border-Small",
        hideIconBorder = false,
        position = { "CENTER", -18, -87 },
        iconPositionX = -5,
        iconPositionY = 0,
        borderColor = { 1, 1, 1, 1 },
        statusColor = { 1, 0.7, 0, 1 },
        statusColorSuccess = { 0, 1, 0, 1 },
        statusColorFailed = { 1, 0, 0 },
        statusColorChannel = { 0, 1, 0, 1 },
        statusColorUninterruptible = { 0.7, 0.7, 0.7, 1 },
        textColor = { 1, 1, 1, 1 },
        textPositionX = 0,
        textPositionY = 0,
        textPoint = "CENTER",
        textOutline = "",
        frameLevel = 10,
        frameStrata = "HIGH",
        statusBackgroundColor = { 0, 0, 0, 0.535 },
        ignoreParentAlpha = false,
        borderPaddingHeight = 1.3,
        borderPaddingWidth = 1.17,
        edgeSizeLSM = 18,
    },

    focus = {
        enabled = true,
        width = 150,
        height = 15,
        iconSize = 18,
        showBorderShield = true,
        showTimer = false,
        showIcon = true,
        showSpark = true,
        autoPosition = true,
        castFont = _G.STANDARD_TEXT_FONT,
        castFontSize = 10,
        castStatusBar = "Interface\\TargetingFrame\\UI-StatusBar",
        castBorder = "Interface\\CastingBar\\UI-CastingBar-Border-Small",
        hideIconBorder = false,
        position = { "CENTER", -19, -112 },
        iconPositionX = -5,
        iconPositionY = 0,
        borderColor = { 1, 1, 1, 1 },
        statusColor = { 1, 0.7, 0, 1 },
        statusColorSuccess = { 0, 1, 0, 1 },
        statusColorFailed = { 1, 0, 0 },
        statusColorChannel = { 0, 1, 0, 1 },
        statusColorUninterruptible = { 0.7, 0.7, 0.7, 1 },
        textColor = { 1, 1, 1, 1 },
        textPositionX = 0,
        textPositionY = 0,
        textPoint = "CENTER",
        textOutline = "",
        frameLevel = 10,
        frameStrata = "HIGH",
        statusBackgroundColor = { 0, 0, 0, 0.535 },
        ignoreParentAlpha = false,
        borderPaddingHeight = 1.3,
        borderPaddingWidth = 1.17,
        edgeSizeLSM = 18,
    },

    party = {
        enabled = false,
        width = 120,
        height = 12,
        iconSize = 18,
        showTimer = false,
        showBorderShield = true,
        showIcon = true,
        showSpark = true,
        autoPosition = false,
        castFont = _G.STANDARD_TEXT_FONT,
        castFontSize = 9,
        castStatusBar = "Interface\\TargetingFrame\\UI-StatusBar",
        castBorder = "Interface\\CastingBar\\UI-CastingBar-Border",
        hideIconBorder = false,
        position = { "CENTER", 141, 6 },
        iconPositionX = -5,
        iconPositionY = 0,
        borderColor = { 1, 1, 1, 1 },
        statusColor = { 1, 0.7, 0, 1 },
        statusColorSuccess = { 0, 1, 0, 1 },
        statusColorFailed = { 1, 0, 0 },
        statusColorChannel = { 0, 1, 0, 1 },
        statusColorUninterruptible = { 0.7, 0.7, 0.7, 1 },
        textColor = { 1, 1, 1, 1 },
        textPositionX = 0,
        textPositionY = 0,
        textPoint = "CENTER",
        textOutline = "",
        frameLevel = 10,
        frameStrata = "HIGH",
        statusBackgroundColor = { 0, 0, 0, 0.535 },
        ignoreParentAlpha = false,
        borderPaddingHeight = 1.3,
        borderPaddingWidth = 1.17,
        edgeSizeLSM = 18,
    },

    arena = {
        enabled = false,
        width = 150,
        height = 15,
        iconSize = 18,
        showBorderShield = true,
        showTimer = false,
        showIcon = true,
        showSpark = true,
        autoPosition = false,
        castFont = _G.STANDARD_TEXT_FONT,
        castFontSize = 10,
        castStatusBar = "Interface\\TargetingFrame\\UI-StatusBar",
        castBorder = "Interface\\CastingBar\\UI-CastingBar-Border-Small",
        hideIconBorder = false,
        position = { "CENTER", -149, -5 },
        iconPositionX = -5,
        iconPositionY = 0,
        borderColor = { 1, 1, 1, 1 },
        statusColor = { 1, 0.7, 0, 1 },
        statusColorSuccess = { 0, 1, 0, 1 },
        statusColorFailed = { 1, 0, 0 },
        statusColorChannel = { 0, 1, 0, 1 },
        statusColorUninterruptible = { 0.7, 0.7, 0.7, 1 },
        textColor = { 1, 1, 1, 1 },
        textPositionX = 0,
        textPositionY = 0,
        textPoint = "CENTER",
        textOutline = "",
        frameLevel = 10,
        frameStrata = "HIGH",
        statusBackgroundColor = { 0, 0, 0, 0.535 },
        ignoreParentAlpha = false,
        borderPaddingHeight = 1.3,
        borderPaddingWidth = 1.17,
        edgeSizeLSM = 18,
    },

    player = {
        enabled = (WOW_PROJECT_ID == WOW_PROJECT_MAINLINE),
        width = 190,
        height = 20,
        iconSize = 22,
        showBorderShield = false,
        showTimer = false,
        showTotalTimer = false,
        showIcon = true,
        showSpark = true,
        autoPosition = true,
        castFont = _G.STANDARD_TEXT_FONT,
        castFontSize = 12,
        castStatusBar = "Interface\\RaidFrame\\Raid-Bar-Hp-Fill",
        castBorder = "Interface\\CastingBar\\UI-CastingBar-Border",
        hideIconBorder = false,
        position = { "CENTER", -18, -87 },
        iconPositionX = -10,
        iconPositionY = 0,
        borderColor = { 1, 1, 1, 1 },
        statusColor = { 1, 0.7, 0, 1 },
        statusColorSuccess = { 0, 1, 0, 1 },
        statusColorFailed = { 1, 0, 0 },
        statusColorChannel = { 0, 1, 0, 1 },
        statusColorUninterruptible = { 0.7, 0.7, 0.7, 1 },
        textColor = { 1, 1, 1, 1 },
        textPositionX = 0,
        textPositionY = 1,
        textPoint = "CENTER",
        textOutline = "",
        frameLevel = 10,
        frameStrata = "HIGH",
        statusBackgroundColor = { 0, 0, 0, 0.535 },
        ignoreParentAlpha = false,
        borderPaddingHeight = 1.3,
        borderPaddingWidth = 1.17,
        edgeSizeLSM = 18,
    },
}
